Bug 816547 - Review Request: perl-Test-NoBreakpoints - Test that files do not contain soft breakpoints
Review Request: perl-Test-NoBreakpoints - Test that files do not contain soft...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 817022
  Show dependency treegraph
 
Reported: 2012-04-26 07:18 EDT by Petr Pisar
Modified: 2012-05-22 10:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: perl-Test-NoBreakpoints-0.15-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-22 10:55:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-04-26 07:18:25 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-Test-NoBreakpoints/perl-Test-NoBreakpoints.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Test-NoBreakpoints/perl-Test-NoBreakpoints-0.15-1.fc18.src.rpm
Description:
Test::NoBreakpoints checks that files contain neither the string
"$DB::single = 1" nor "$DB::signal = 1".
Comment 1 Jitka Plesnikova 2012-05-21 05:56:41 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

No issues.
Approved.

Generated by fedora-review 0.2.0git
External plugins:
Comment 2 Petr Pisar 2012-05-21 06:22:52 EDT
New Package SCM Request
=======================
Package Name: perl-Test-NoBreakpoints
Short Description: Test that files do not contain soft breakpoints
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-05-21 13:59:05 EDT
Git done (by process-git-requests).
Comment 4 Petr Pisar 2012-05-22 03:04:48 EDT
Something is wrong with this package in package databse. Cloning repository fails:

$ fedpkg clone perl-Test-NoBreakpoints
Cloning into 'perl-Test-NoBreakpoints'...
fatal: '/srv/git/rpms//perl-Test-NoBreakpoints.git' does not appear to be a git repository
fatal: The remote end hung up unexpectedly
Could not execute clone: Command '['git', 'clone', 'ssh://ppisar@pkgs.fedoraproject.org/perl-Test-NoBreakpoints']' returned non-zero exit status 128

Query to package database with pkgdb-cli:

$ ~/packagedb-cli/packagedb-cli-devel/pkgdb-cli acl perl-Test-NoBreakpoints
Fedora Package Database -- perl-Test-NoBreakpoints
Test that files do not contain soft breakpoints
Error: <Fault -32000: 'DBD::mysql::db selectall_arrayref failed: called with 3 bind variables when 5 are needed [for Statement "SELECT assigned_to,bug_file_loc,bug_id,bug_severity,bug_status,cclist_accessible,component_id,delta_ts,estimated_time,everconfirmed,lastdiffed,op_sys,priority,product_id,qa_contact,remaining_time,rep_platform,reporter_accessible,resolution,short_desc,status_whiteboard,target_milestone,version,reporter    AS reporter_id,DATE_FORMAT(creation_ts, \'%Y.%m.%d %H:%i\') AS creation_ts,DATE_FORMAT(deadline, \'%Y-%m-%d\') AS deadline,cf_fixed_in,cf_release_notes,cf_story_points,cf_clone_of,cf_environment,cf_last_closed,cf_type,cf_regression_status,cf_mount_type,cf_documentation_action,cf_crm,cf_verified_branch FROM bugs WHERE  bug_status IN (?,?,?)  AND \n(bug_id IN  \n   (SELECT bug_id\n    FROM bugs b\n        JOIN bug_cf_extra_component e USING (bug_id)\n        JOIN components c ON (c.product_id = b.product_id AND e.value = c.name)\n    WHERE c.id = ?\n   )\n OR bugs.component_id = ?\n)  ORDER BY bug_id"] at Bugzilla/Object.pm line 293\n\tBugzilla::Object::__ANON__() called at /usr/lib/perl5/vendor_perl/5.8.8/DBIx/Timeout.pm line 31\n\teval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/DBIx/Timeout.pm line 31\n\tDBIx::Timeout::call_with_timeout(\'undef\', \'dbh\', \'Bugzilla::DB::Mysql=HASH(0x1ea13740)\', \'timeout\', 118, \'code\', \'CODE(0x1eb9d450)\') called at Bugzilla/Object.pm line 299\n\tBugzilla::Object::_do_list_select(\'Bugzilla::Bug\', \' bug_status IN (?,?,?)  AND \n(bug_id IN  \n   (SELECT bug_id\n ...\', \'ARRAY(0x1ed94c90)\', \'undef\') called at Bugzilla/Bug.pm line 328\n\tBugzilla::Bug::_do_list_select(\'Bugzilla::Bug\', \' bug_status IN (?,?,?)  AND \n(bug_id IN  \n   (SELECT bug_id\n ...\', \'ARRAY(0x1ed94c90)\', \'undef\') called at Bugzilla/Object.pm line 257\n\tBugzilla::Object::match(\'Bugzilla::Bug\', \'HASH(0x1e8409b0)\') called at Bugzilla/Bug.pm line 581\n\tBugzilla::Bug::match(\'Bugzilla::Bug\', \'HASH(0x1e8409b0)\') called at Bugzilla/WebService/Bug.pm line 504\n\tBugzilla::WebService::Bug::search(\'Bugzilla::WebService::Bug\', \'HASH(0x1e6f2c10)\') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2816\n\teval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2801\n\teval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2767\n\tSOAP::Server::handle(\'Bugzilla::WebService::Server::XMLRPC=HASH(0x1e5986c0)\', \'<?xml version=\\\'1.0\\\'?>\\x{a}<methodCall>\\x{a}<methodName>Bug.search</...\') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Transport/HTTP.pm line 432\n\tSOAP::Transport::HTTP::Server::handle(\'Bugzilla::WebService::Server::XMLRPC=HASH(0x1e5986c0)\') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Transport/HTTP.pm line 597\n\tSOAP::Transport::HTTP::CGI::handle(\'Bugzilla::WebService::Server::XMLRPC=HASH(0x1e5986c0)\') called at /var/www/html/bugzilla/xmlrpc.cgi line 48\n'>
Comment 5 Gwyn Ciesla 2012-05-22 08:30:37 EDT
Odd.  I get the same thing, but have since successfully set up the git repo.  Toshio, any thoughts?
Comment 6 Petr Pisar 2012-05-22 10:55:02 EDT
I can use the repository and build the package now too.

However I still get the SOAP fault from pgkdb-cli. I think it happens only for recent packages with no bugs in Bugzilla.

Note You need to log in before you can comment on or make changes to this bug.